import { useState } from 'react';
import { Input } from 'element-react';
import Upload from "../../../../../components/XtForm/FormUpload";
import style from "./index.module.scss";
function EditorItem(props) {
  // eslint-disable-next-line react/prop-types
  var option = props.option;
  var _useState = useState(''),
    value = _useState[0],
    setValue = _useState[1];
  var onChange = function onChange(e) {
    Object.assign(option, {
      score: e
    });
    setValue(e);
  };
  return /*#__PURE__*/React.createElement("div", {
    className: style['editor-item-container']
  }, /*#__PURE__*/React.createElement("div", {
    className: style['editor-item-block']
  }, /*#__PURE__*/React.createElement("span", null, "\u6DFB\u52A0\u914D\u56FE\uFF1A"), /*#__PURE__*/React.createElement(Upload, {
    option: option,
    className: style['editor-item-upload']
  })), /*#__PURE__*/React.createElement("div", {
    className: style['editor-item-block']
  }, /*#__PURE__*/React.createElement("span", null, "\u8BBE\u7F6E\u5206\u503C\uFF1A"), /*#__PURE__*/React.createElement("div", {
    className: style['editor-item-input']
  }, /*#__PURE__*/React.createElement(Input, {
    value: value,
    onChange: onChange
  }), /*#__PURE__*/React.createElement("span", null, "\u5206"))));
}
export default EditorItem;